> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Will create TAV according to TAV format version 2 with encrypted card data to be sent to MDES.

> This operation will read the card data, generate activation data according to MDES specification TAV2 format and respond. Difference betwen v1 is that v2 will also contain the tokenUniqueReferenceId. The activation data should in most cases be used when the card holder as added the card manually and not via the push / in-app provisioning, especially in flow that has done into none-green flow.
This data is used to ensure the card schema that the issuer in fact has allowed the card to be tokenized as it contains a digital signature calculated over the PAN of the card.


<Warning>Deprecated: This API endpoint is no longer supported.</Warning>


## OpenAPI

````yaml wallet post /v2/{cardId}/activate/mdes/tav2
openapi: 3.0.3
info:
  version: '1'
  title: Wallet operations
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: resources/enfuce.svg
    altText: Enfuce logo
  description: >
    Wallet API enables getting needed data for tokenization and enablement in
    programs like

    Apple Pay and Google Pay, and Visa Click to Pay.


    #### Terms used

    <table>
      <tr>
        <th>Term</th>
        <th>Definition</th>
      <tr>
        <td>Customer</td>
        <td>End customer using financial institution's mobile application</td>
      </tr>
      <tr>
        <td>In-app activation</td>
        <td>Wallet provisioning using financial institution app as authentication method</td>
      </tr>
      <tr>
        <td>In-app provisioning</td>
        <td>Mastercard's term for push provisioning</td>
      </tr>
      <tr>
        <td>Push provisioning</td>
        <td>VISA's term for pushing card details from within mobile application. This term will be used in this document</td>
      </tr>
      <tr>
        <td>Wallet provider</td>
        <td>Such as Apple Pay, Google Pay or Samsung Pay </td>
      </tr>
    </table>


    It's called in two cases:

    - *Push provisioning* - this is usually done within issuers own application
    and card holder does

    not need to enter any information. Then the different endpoints for push
    provisioning must be used.

    - *In-app activation* - activating a card by manually adding information,
    then endpoint for generate activation

    data must be used after authentication of end customer is completed.


    ![ Provisioning example
    ](https://enfuce-public-resources.s3.eu-central-1.amazonaws.com/public/wallet_push_prov.svg)


    In above case the difference between push provisioning and in-app activation
    is which endpoint that is

    called in step 3.

    Note that diagram above is a simplification of full flow in order to explain
    it from a developer point of view.
servers:
  - url: >-
      https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/wallet
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/wallet
    description: Live environment
security: []
tags:
  - name: Push Provision
  - name: Activation data
  - name: Get tokens
  - name: Visa Click2Pay Enrol and Manage
  - name: Token Management
paths:
  /v2/{cardId}/activate/mdes/tav2:
    post:
      tags:
        - Activation data
      summary: >-
        Will create TAV according to TAV format version 2 with encrypted card
        data to be sent to MDES.
      description: >
        This operation will read the card data, generate activation data
        according to MDES specification TAV2 format and respond. Difference
        betwen v1 is that v2 will also contain the tokenUniqueReferenceId. The
        activation data should in most cases be used when the card holder as
        added the card manually and not via the push / in-app provisioning,
        especially in flow that has done into none-green flow.

        This data is used to ensure the card schema that the issuer in fact has
        allowed the card to be tokenized as it contains a digital signature
        calculated over the PAN of the card.
      operationId: activateV2
      parameters:
        - name: cardId
          in: path
          description: CardId for the card that should be tokenised
          required: true
          schema:
            type: integer
            format: int64
        - name: auditUser
          in: query
          description: The audit user to log the request
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseActivation'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: true
components:
  schemas:
    ResponseActivation:
      type: object
      required:
        - activationData
      properties:
        activationData:
          type: string
      title: ResponseActivation

````